Bug 1480355 - packages page is slow
packages page is slow
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API - Content (Show other bugs)
6.2.7
Unspecified Unspecified
high Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Tomer Brisker
: Performance, PrioBumpField, Triaged
Depends On:
Blocks: 1465146 1530699
  Show dependency treegraph
 
Reported: 2017-08-10 15:48 EDT by pm-sat@redhat.com
Modified: 2018-02-21 11:54 EST (History)
10 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1419139
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18704 None None None 2017-08-10 15:48 EDT
Foreman Issue Tracker 20138 None None None 2017-08-10 15:48 EDT

  None (edit)
Comment 2 Tomer Brisker 2017-08-31 04:28:02 EDT
Verified on Satellite 6.3.0 snap 13 with 100k packages in several repos.
API call returns in ~500ms. Packages page in UI loads in 3-4 seconds.
Comment 3 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.